Download Calls
curl --request POST \
--url https://api-prod.interactly.ai/campaigns/v1/campaigns/{config_id}/calls/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "<string>",
"end": "<string>",
"status": "<string>",
"callType": "<string>",
"callIds": [],
"teamId": "<string>",
"search": "<string>"
}
'import requests
url = "https://api-prod.interactly.ai/campaigns/v1/campaigns/{config_id}/calls/download"
payload = {
"start": "<string>",
"end": "<string>",
"status": "<string>",
"callType": "<string>",
"callIds": [],
"teamId": "<string>",
"search": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: '<string>',
end: '<string>',
status: '<string>',
callType: '<string>',
callIds: [],
teamId: '<string>',
search: '<string>'
})
};
fetch('https://api-prod.interactly.ai/campaigns/v1/campaigns/{config_id}/calls/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"calls": [
{
"_id": "<string>",
"configId": "<string>",
"phoneNumber": "<string>",
"status": "received",
"outcome": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"collectedInformation": {},
"conversationId": "<string>",
"retryCount": 123,
"maxRetries": 123,
"tags": [
"<string>"
],
"review": {
"status": "not_required",
"by": "5eb7cf5a86d9755df3a6c593",
"timestamp": "2023-11-07T05:31:56Z",
"reason": "<string>",
"emails": [
"<string>"
],
"emailSent": false,
"emailSentAt": "2023-11-07T05:31:56Z",
"checklist": {}
},
"processTimings": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"statusHistory": [
{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"message": "<string>"
}Campaigns Calls
Download Calls
Download call records for a campaign as an exported file.
Use the request body to filter which calls to include:
- start / end: Date range filter.
- status: Filter by call status.
- callIds: Download only the specified call record IDs.
- search: Filter by search term.
POST
/
campaigns
/
v1
/
campaigns
/
{config_id}
/
calls
/
download
Download Calls
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
⌘I